Bug 9062 - Tax and discount should be formatted the same
Summary: Tax and discount should be formatted the same
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Hugh Davenport
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-12 21:13 UTC by Katrin Fischer
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
screenshot (14.59 KB, image/png)
2012-11-12 21:13 UTC, Katrin Fischer
Details
screenshot (24.55 KB, image/png)
2012-11-12 21:16 UTC, Katrin Fischer
Details
bug 9062 Fix format for discount rate for vendors (1.96 KB, patch)
2013-01-16 21:13 UTC, Hugh Davenport
Details | Diff | Splinter Review
bug 9062 Fix format for discount rate for vendors (2.01 KB, patch)
2013-01-16 21:22 UTC, Chris Cormack
Details | Diff | Splinter Review
bug 9062 Fix spacing next to tax rate (1.30 KB, patch)
2013-01-16 21:44 UTC, Hugh Davenport
Details | Diff | Splinter Review
bug 9062 Fix spacing next to tax rate (1.35 KB, patch)
2013-01-16 21:54 UTC, Chris Cormack
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9062 Fix format for discount rate for vendors (2.15 KB, patch)
2013-01-17 20:03 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9062 Fix spacing next to tax rate (1.44 KB, patch)
2013-01-17 20:06 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2012-11-12 21:13:48 UTC Comment hidden (obsolete)
Comment 1 Katrin Fischer 2012-11-12 21:16:09 UTC
Created attachment 13408 [details]
screenshot
Comment 2 Hugh Davenport 2013-01-16 21:13:33 UTC Comment hidden (obsolete)
Comment 3 Chris Cormack 2013-01-16 21:22:21 UTC Comment hidden (obsolete)
Comment 4 Hugh Davenport 2013-01-16 21:24:37 UTC
Actually, would this need changing for other languages? or is that done by translators?
I only have an en directory.
Comment 5 Chris Cormack 2013-01-16 21:26:09 UTC
That's done by the translation scripts, they build other directories from the .po files.

So all good.
Comment 6 Hugh Davenport 2013-01-16 21:44:02 UTC Comment hidden (obsolete)
Comment 7 Chris Cormack 2013-01-16 21:54:01 UTC Comment hidden (obsolete)
Comment 8 Hugh Davenport 2013-01-17 00:38:17 UTC
Just wondering whether the number of decimal points for the discount feild should be 1 or 2, it is shown as 2 in some other places, but my patch puts it to 1 here.
Comment 9 Chris Cormack 2013-01-17 00:40:26 UTC
Actually that is a good question ... 2 I think probably makes more sense. Any other opinions?

It's for percentages right? 2dp makes sense to me for that
Comment 10 Hugh Davenport 2013-01-17 00:41:51 UTC
Yeh, and then most of the Tax percentages I've seen are just 1dp
Comment 11 Katrin Fischer 2013-01-17 19:56:04 UTC
I think even if there is some need for discussion about how many decimals should be shown, those patches are nice little improvments to consistency.
Comment 12 Katrin Fischer 2013-01-17 20:03:23 UTC
Created attachment 14686 [details] [review]
[SIGNED-OFF] Bug 9062 Fix format for discount rate for vendors

On the vendor display and edit screens, the tax rate information was
formatted to 1 decimal point, while the discount rate was not.

This patch adds a format string to the discount information so that
it is formatted in the same way.

Signed-off-by: Hugh Davenport <hugh@davenport.net.nz>
Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Makes display on vendor detail page more consistent and
passes all tests.
Comment 13 Katrin Fischer 2013-01-17 20:06:49 UTC
Created attachment 14687 [details] [review]
[SIGNED-OFF] Bug 9062 Fix spacing next to tax rate

On the supplier view screen, there was a space after the discount
and before the % sign, but there was none for the tax rate.

This patch adds in a patch, so they look similar.

Signed-off-by: Hugh Davenport <hugh@davenport.net.nz>
Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Tiny follow-up, fixes spacing.
Comment 14 Jared Camins-Esakov 2013-01-17 23:23:54 UTC
This patch has been pushed to master. Welcome to our newest developer!
Comment 15 Chris Cormack 2013-01-24 01:38:43 UTC
Pushed to 3.10.x, will be in 3.10.3 release